1. API
  2. Apps

Apps: Create

Description

Create an app in Tines.

See the Get Apps API to learn more about apps.

Request

HTTP Method: POST

Parameter Description
team_id ID of the team to which the app should be added.
name Optional The app name.
description Optional A user-defined description of the app.

Sample request

curl --proto '=https' --tlsv1.2 -X POST \
  https://<tenant-domain>/api/v1/apps \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "team_id": 7,
        "name": "Phishing triage",
        "description": "Triages reported phishing emails."
      }'

Response

A successful request returns a 201 status and a JSON object describing the created app.

Field description

Parameter Description
id The app ID.
guid Unique identifier of the app.
name The app name.
description A user-defined description of the app.
emoji The emoji associated with the app.
created_at ISO 8601 timestamp representing date and time the app was created.
updated_at ISO 8601 timestamp representing date and time the app was last updated.
team Object containing the id and name of the team the app belongs to.
published_version Object containing the id of the published version, or null if the app has not been published.

Sample response

{
  "id": 42,
  "guid": "abc123def456",
  "name": "Phishing triage",
  "description": "Triages reported phishing emails.",
  "emoji": "📱",
  "created_at": "2026-05-14T10:00:00Z",
  "updated_at": "2026-05-14T10:00:00Z",
  "team": { "id": 7, "name": "Security" },
  "published_version": null
}
Was this helpful?
Apps: Create | API | Tines